package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

public class MenuMaterialCategoryAddDTO implements Serializable {
   @ApiModelProperty("类别名称")
   private @NotBlank(
   message = "{menu_category_name_null}"
) String categoryName;
   @ApiModelProperty("父类id")
   private Long parentId;
   @ApiModelProperty("类型(1原料2商品)")
   private Integer categoryType;
   @ApiModelProperty("区域ID")
   private Long areaId;

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public Integer getCategoryType() {
      return this.categoryType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setParentId(final Long parentId) {
      this.parentId = parentId;
   }

   public void setCategoryType(final Integer categoryType) {
      this.categoryType = categoryType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }
}
